Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 21-04-2009 22:37:35

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Gimp 2.6 sous Lenny : le retour

Bonsoir à tous !

Comme je suis têtu et que je n'arrive pas à me remettre à Gimp 2.4 après être passé par la 2.6, et que je souhaite rester sous Lenny, j'ai cherché une solution pour réussir à l'installer. Et c'est tout simple : on va le compiler ! smile

Déjà, rendons à César ce qui appartient à César, le tuto original : http://tuxarena.blogspot.com/2009/03/ho … 66-in.html.

On va tout d'abord virer la version 2.4 si elle est installée :

apt-get remove --purge gimp gimp-data libgimp2.0


Si libgimp2.0 est utile à un autre programme (comme xsane), vous pourrez réinstaller le tout à la fin.

Ensuite on installe ce qu'il nous faut :

apt-get install build-essential


On vérifie que les sources sont bien activées dans les dépôts (les lignes deb-src dans le fichier sources.list doivent être décommentées, je vous renvoie au wiki pour plus d'explications). Si ce n'était pas le cas, on continue par un :

apt-get update


On installe les bibliothèques de développement :

apt-get build-dep gimp


Ensuite, on va récupérer les sources de Gimp sur le FTP officiel : ftp://ftp.gimp.org/pub/gimp/v2.6/. Actuellement la version la plus récente est la gimp-2.6.6.tar.bz2. On enregistre le fichier sur le bureau puis on s'y place depuis un terminal pour décompresser l'archive :

cd /home/utilisateur/Desktop


tar -xjf gimp-2.6.6.tar.bz2


Un répertoire gimp-2.6.6 a été créé, on s'y place et on lance la compilation :

cd gimp-2.6.6


./configure


Il arrive que le ./configure renvoie une erreur ("No package 'babl' found" et "No package 'gegl' found"), dans ce cas il faut installer les paquets manquants :

apt-get install libbabl-0.0-0-dev libgegl-0.0-dev


Ensuite relancer le ./configure, puis :

make


Et en enfin, on termine l'installation en root :

make install


Pour cette dernière commande, on peut utiliser checkinstall à la place de make install qui va créer un fichier .deb qui permettra une désinstallation aisée plus tard (il faut installer le paquet checkinstall si la commande vous renvoie une erreur).

Lancez Gimp, à ce stade ça devrait fonctionner. Vous pouvez maintenant réinstaller le paquet libgimp2.0 si besoin.

Vivement les backports ! cool

Edit : Mis à jour le 1er Avril 2010 suite à ce topic.


« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#2 22-04-2009 06:50:21

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gimp 2.6 sous Lenny : le retour

Ouap mani !

Aaaaah ! Sur ma Vie mani, je t'embrasse...
Première fois que je comprends l'ensemble d'une compilation d'archive !

Loin des il suffit... y'a ka et autres... qui m'ont tenu écarté de cette solution...

On pourrait avoir un wiki : compilation - et se servir de cet exemple comme demo..? cool

Amitié, Joel !

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#3 22-04-2009 09:24:52

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Gimp 2.6 sous Lenny : le retour

Merci smolski !

Ouaip, je vais faire une page sur la compilation pour le wiki, mais il faut d'abord que je potasse les tenants et les aboutissants de la chose. Je sais à peu près ce qui se passe à chaque étape, mais un bon wiki ne souffre pas d'à peu près ! cool

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#4 29-05-2009 21:34:17

mani
Road-Runnerus digestus
Lieu : Au bout du bout
Distrib. : Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : Mate
Inscription : 20-06-2007

Re : Gimp 2.6 sous Lenny : le retour

J'ai mis la procédure à jour suite à des tests supplémentaires ! smile

« Those who dream by day are cognizant of many things which escape those who dream only by night. »
- Edgar Allan Poe

Hors ligne

#5 14-07-2009 19:32:27

twentyfour-fr
Membre
Inscription : 14-07-2009

Re : Gimp 2.6 sous Lenny : le retour

Pour moi ça ne marche pas sur la debian 5.0.1 que je viens d'installer après l'avoir acheter avec la revue Linux Identity Starter.

A apt-get build-dep gimp :

apt-get build-dep gimp
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Les dépendances de compilation pour gimp ne peuvent pas être satisfaites.


ensuite quand je fais ./configure :

debianserverQ:/home/quentin/Desktop/gimp-2.6.6# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognize dependent libraries... pass_all
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for xlf... no
checking for f77... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for xlf90... no
checking for f90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for xlf95... no
checking for f95... no
checking for fort... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether  accepts -g... no
checking the maximum length of command line arguments... 98304
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
(cached) (cached) checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking dependency style of gcc... gcc3
checking whether to enable maintainer-specific portions of Makefiles... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.16... yes
checking for target architecture... i686-pc-linux-gnu
checking for some Win32 platform... no
checking for native Win32... no
checking for library containing strerror... none required
checking for a BSD-compatible install... /usr/bin/install -c
checking whether make sets $(MAKE)... (cached) yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking whether to turn on debugging... no
checking whether to turn on profiling... no
checking whether gcc understands -Wdeclaration-after-statement... yes
checking whether gcc understands -Wmissing-prototypes... yes
checking whether gcc understands -Wmissing-declarations... yes
checking whether gcc understands -Winit-self... yes
checking whether gcc understands -Wpointer-arith... yes
checking whether gcc understands -Wold-style-definition... yes
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking whether time.h and sys/time.h may both be included... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/times.h usability... yes
checking sys/times.h presence... yes
checking for sys/times.h... yes
checking for sys/wait.h... (cached) yes
checking for unistd.h... (cached) yes
checking for pid_t... yes
checking return type of signal handlers... void
checking for vprintf... yes
checking for _doprnt... no
checking for working alloca.h... yes
checking for alloca... yes
checking for difftime... yes
checking for mmap... yes
checking whether binary relocation support should be enabled... no
checking for _NL_MEASUREMENT_MEASUREMENT... yes
checking whether NLS is requested... yes
checking for intltool >= 0.36.3... ./configure: line 24112: intltool-update: command not found
found
configure: error: Your intltool is too old.  You need intltool 0.36.3 or later.
debianserverQ:/home/quentin/Desktop/gimp-2.6.6#


Bref ça ne marche pas, une idée peut être ??

Hors ligne

#6 14-07-2009 19:45:46

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gimp 2.6 sous Lenny : le retour

Bonjour twentyfour-fr et bienvenue sur Debian,

Comme sur tous les forum, il faut prendre garde de ne pas se mêler dans les problèmes posés.

Je t'engage à ouvrir une nouvelle discussion en rapportant un lien vers ce tuto...

Tu nous indiqueras plus avant également si tu as modifié ton sources.list... tout ça... Ou si tu ne sais le faire...

Voilà, on t'attends de nouveau clair sur ce forum et dans cette section logiciel à propos de gimp et de ce tuto...

Amitié, Joel

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#7 14-07-2009 20:18:41

n3os
Modérateur
Lieu : /Debian/Home/neos
Distrib. : Sid
Noyau : 2.6.35
(G)UI : e17
Inscription : 14-07-2007

Re : Gimp 2.6 sous Lenny : le retour

hello,

sinon piocher dans sid via pinning.

Hors ligne

#8 14-07-2009 20:41:24

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gimp 2.6 sous Lenny : le retour

ou testing même ! wink

Mais je pensais orienter twentyfour-fr dans une nouvelle discussion... Yop !

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#9 22-08-2009 18:19:13

guyr
Membre
Inscription : 22-08-2009

Re : Gimp 2.6 sous Lenny : le retour

Bonsoir,

Moi j'ai fait un peu différemment :

Remarque préliminaire : dans ce qui suit,
si la ligne de commande commence par # => il faut être root,
si la ligne commence par ~ => il faut user "de base"
Si le mécanisme sudo est installé pour votre user vous pouvez
faire toute la manip. en tant que user en remplaçant "#" par "sudo"

C'est parti:
J'ai d'abord ajouté une ligne à /etc/apt/sources.list :
# echo "deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free" >> /etc/apt/sources.list

Puis pour qu'elle soit prise en compte:
# aptitude update

On installe les dépendances nécessaires à la compilation de gimp 2.4 de lenny.
On a de la chance, c'est les mêmes (ou presque) que celles de gimp 2.6 de sid
# apt-get build-dep gimp

On installe le paquet fakeroot qui sera bientôt nécessaire pour la construction
des paquets (cf plus bas dpkg-buildpackage)
# aptitude install fakeroot

On récupère le paquet source de gimp 2.6 de sid en forçant le numéro de version:
$ cd ~/Desktop
$ apt-get source gimp=2.6.7-1

NB1: pour connaitre la version gimp de sid, une possibilité est d'aller voir
sur: http://www.debian.org/distrib/packages
NB2: on peut maintenant, si on veut, enlever la ligne deb-src rajoutée
au début dans /etc/apt/sources.list

On fabrique maintenant les paquets binaires (*deb) à la méthode debian
$ cd gimp-2.6*
$ dpkg-buildpackage -rfakeoot -b -uc

... patience ...

Si tout c'est bien passé on a 6 nouveaux paquets que l'on peux installer :
# dpkg -i ../gimp*deb ../libgimp*

NB: L'installation des paquets gimp-dbg*deb libgimp2.0-dev*deb et libgimp2.0-doc*deb
est facultative. D'ailleurs chez moi gimp-dbg a rapidement voulu se desinstaller ...

Guyr

Hors ligne

#10 01-10-2009 16:06:35

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : Gimp 2.6 sous Lenny : le retour

Bon, j'avais besoin d'un TP pour illustrer la compilation d'un programme, je me retrouve avec deux !
J'ai pris les tuto de mani et Guyr et arrangé/collé là :
http://debian-facile.org/doc:media:gimp:compiler

Deux vaut mieux qu'un, hein... wink

Amitié à tous deux, Jojo

Dernière modification par smolski (01-10-2009 16:19:50)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

Pied de page des forums